Page MenuHomePhabricator

Add label to Options dialog > Categories input fields
Closed, ResolvedPublic8 Estimated Story Points

Description

Currently the input fields in Categories section of the Options dialog in VE does rely on placeholders as holding information necessary to understand the interface and fulfill user tasks.

It is preferable to feature a <label> element for the upper input field (and maybe refine the second one), from both screen reader perspective and for users with visual disabilities. I've tried to circumvent and improve situation for latter group in T139034, but there is understandable critical feedback around T85853 and follow-up T145676 about placeholders fulfilling level AAA contrast compliance.

Event Timeline

Volker_E created this task.Sep 29 2016, 7:41 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 29 2016, 7:41 AM
Volker_E renamed this task from Add labels to Options dialog > Categories input fields to Add label to Options dialog > Categories input fields.Sep 29 2016, 7:48 AM
Volker_E updated the task description. (Show Details)
Jdforrester-WMF triaged this task as Low priority.Oct 4 2016, 7:05 PM
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF moved this task from To Triage to Freezer on the VisualEditor board.

Change 426139 had a related patch set uploaded (by HunterH; owner: HunterH):
[mediawiki/extensions/VisualEditor@master] Add label to Options dialog > Categories input fields

https://gerrit.wikimedia.org/r/426139

See images below for before(left) and after(right).

Change 426139 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Add label to Options dialog > Categories input fields

https://gerrit.wikimedia.org/r/426139

Deskana closed this task as Resolved.Apr 23 2018, 9:55 AM